Bug 206940 - zpool (command terminology) misused to describe a pool
Summary: zpool (command terminology) misused to describe a pool
Status: Closed FIXED
Alias: None
Product: Documentation
Classification: Unclassified
Component: Documentation (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Many People
Assignee: freebsd-doc (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2016-02-05 05:59 UTC by Graham Perrin
Modified: 2016-06-03 18:22 UTC (History)
2 users (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Graham Perrin 2016-02-05 05:59:18 UTC
https://www.freebsd.org/doc/en_US.ISO8859-1/books/handbook/zfs-term.html uses the word 'zpool' to describe a pool. 

For a page that's about terminology, please be correct, unambiguous. 

zpool is a command.
Comment 1 Shawn Debnath 2016-04-30 14:28:01 UTC
This is correct, it should be pool instead of zpool. Verified with Oracle documentation as well: https://docs.oracle.com/cd/E18752_01/html/819-5461/ftyue.html

Working on a patch.
Comment 2 Shawn Debnath 2016-04-30 14:46:41 UTC
Review: https://reviews.freebsd.org/D6163
Comment 3 commit-hook freebsd_committer 2016-06-03 18:21:09 UTC
A commit references this bug:

Author: wblock
Date: Fri Jun  3 18:20:29 UTC 2016
New revision: 48889
URL: https://svnweb.freebsd.org/changeset/doc/48889

Log:
  Correct misusage of "zpool".

  PR:		206940
  Submitted by:	Shawn Debnath <sd@beastie.io>
  Differential Revision:	https://reviews.freebsd.org/D6163

Changes:
  head/en_US.ISO8859-1/books/handbook/zfs/chapter.xml